# Fit-Boy: Now available in the Best of 2021 section of [Fitbit Gallery](https://gallery.fitbit.com/details/2d38820d-91d8-47a7-947f-0d8a12fa1cbe)!

![Preview](github/3.0.0.png)
![Preview](github/3.0.0-charging.png)
![Preview](github/3.0.0-spanish.png)
![Preview](github/3.0.0-presence-not-detected.png)

## Description
A clock face for Fitbit Sense, modeled after the legendary Pip-Boy from the Fallout Series by Fallout Series by Bethesda. Built using the Fitbit Studio and Fitbit OS Simulator.

Welcome... to Vault 663.

## Target Devices
- Fitbit Sense
- Fitbit Versa 3

## Features
- Vault Boy with limb health bars for the proper Pip-Boy feel
- You may type in your name to signify that you own this Fit-Boy

### Clock
- Supports both 12-hour and 24-hour format

### Date and Day Format
- DDD YYYY-MM-DD
    
### Stats
- Distance in kilometers
- Active zone in minutes
- Calories burn in kcal
- Elevation in floors
- Steps in... well... steps
- Heart rate in bpm
- Resting heart rate in the bottom left-hand corner, marked as HP
- Weight in the bottom right-hand corner, in kilograms
- Battery charge displayed instead of the LEVEL progress bar

### Color Schemes
- Fallout 4 (#16FF42)
- Fallout: New Vegas (#FFB641)
- Fallout 3 (#1AFF80)
- Lots of other colors

### "Console"
- Displays "> CHARGING ..." when charging
- Displays "> USER NOT DETECTED" when not on wrist
  - Also hides the vault boy and name
- Greets you
- Has that cool flashing cursor terminals in Fallout have
    
### WIP
- [x] Customizable name
- [x] More color schemes
- [x] Even more color schemes
- [x] Fix black screen on first run (no default color selected)
- [x] Add monofonto font
- [x] 12-hour format
- [x] 24-hour format
- [x] Translations
- [ ] ~~Potentially: Use the limb health bars as goal bars~~ Rejected: Battery Saving
  - [ ] ~~Active Zone Minutes~~
  - [ ] ~~Calories Burn~~
  - [ ] ~~Elevation~~
  - [ ] ~~Distance~~
  - [ ] ~~Steps~~
- [x] Use the bottom bar as total progress
- [ ] ~~Potentially:  GPS~~ Rejected: Battery Saving
    - [ ] ~~Latitude~~
    - [ ] ~~Longitude~~
    - [ ] ~~Heading~~
- [ ] Change picture based on the active zone and other factors
    - [ ] Make the vault boy animated
- [ ] Potentially:  Time till sunrise / sunset
- [ ] (Fitbit Permission Required) Always On Display

## Build Through CLI

0. Run `npm install`
1. run [Fitbit Simulator](https://simulator-updates.fitbit.com/download/latest/win)
2. Log into CLI `npx fitbit`
  - CLI should now display `fitbit$`
3. Build and Install  `fitbit$ bi`
  - The simulator should now display the clock face
  - The resulting built file is /build/app.fba